#ifndef PHP_HPDF_H
#define PHP_HPDF_H 1

#define PHP_HPDF_VERSION "1.0"
#define PHP_HPDF_EXTNAME "hpdf"
#define PHP_HPDF_DOC_RES_NAME "HPDF Document"
#define PHP_HPDF_PAGE_RES_NAME "HPDF Page"
#define PHP_HPDF_FONT_RES_NAME "HPDF Font"
#include <hpdf.h>

typedef struct _php_hpdf_doc {
	HPDF_Doc handle;
} php_hpdf_doc_t;

typedef struct _php_hpdf_page {
	HPDF_Page handle;
} php_hpdf_page_t;

typedef struct _php_hpdf_font {
	HPDF_Font handle;
} php_hpdf_font_t;

PHP_FUNCTION(HPDF_New);
PHP_FUNCTION(HPDF_GetFont);
PHP_FUNCTION(HPDF_AddPage);
PHP_FUNCTION(HPDF_SetPassword);
PHP_FUNCTION(HPDF_SaveToFile);
PHP_FUNCTION(HPDF_Free);

PHP_FUNCTION(HPDF_Page_SetSize);
PHP_FUNCTION(HPDF_Page_BeginText);
PHP_FUNCTION(HPDF_Page_SetFontAndSize);
PHP_FUNCTION(HPDF_Page_MoveTextPos);
PHP_FUNCTION(HPDF_Page_ShowText);
PHP_FUNCTION(HPDF_Page_EndText);
PHP_FUNCTION(HPDF_Page_GetWidth);
PHP_FUNCTION(HPDF_Page_GetHeight);
PHP_FUNCTION(HPDF_Page_TextWidth);

PHP_MINIT_FUNCTION(hpdf);

extern zend_module_entry hpdf_module_entry;
#define phpext_hpdf_ptr &hpdf_module_entry

#endif
